Bug 100220 - [MAINTAINER PATCH] cad/gnetlist: Fix installdir, cleanup
Summary: [MAINTAINER PATCH] cad/gnetlist: Fix installdir, cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-13 19:20 UTC by Stanislav Sedov
Modified: 2006-07-16 05:03 UTC (History)
0 users

See Also:


Attachments
gnetlist-20060123_1.patch (7.34 KB, patch)
2006-07-13 19:20 UTC, Stanislav Sedov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Sedov 2006-07-13 19:20:19 UTC
 - Fix installdirs to address GEDA directory structure unification
 - Fix comment
 - Update pkg-desck
 - Use %%DOCSDIR%% and %%DATADIR%% macroses

Added file(s):
- files/patch-configure

Note: this also depends on geda-symbols and libgeda PRs
Comment 1 Rong-En Fan freebsd_committer 2006-07-13 20:59:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 2 Stanislav Sedov 2006-07-14 19:28:15 UTC
Updated diff that takes into account repocopy changes.
-------------------------------------------------------
diff -ruN --exclude=CVS /tmp/ports/cad/gnetlist/Makefile
gnetlist/Makefile
--- /tmp/ports/cad/gnetlist/Makefile	Wed Jun 28 11:53:41 2006
+++ gnetlist/Makefile	Fri Jul 14 22:12:45 2006
@@ -5,22 +5,28 @@
 # $FreeBSD: ports/cad/gnetlist/Makefile,v 1.18 2006/06/28 07:53:41 pav
Exp $
 #
 
-PORTNAME=	gnetlist
+PORTNAME=	netlist
 PORTVERSION=	20060123
+PORTREVISION=	1
 CATEGORIES=	cad
 MASTER_SITES=
ftp://ftp.geda.seul.org/pub/geda/devel/${PORTVERSION}/ \
 		http://geda.seul.org/devel/${PORTVERSION}/ \
 		http://www.tinkerbox.org/projects/files/gEDA/
-DISTNAME=	geda-${PORTNAME}-${PORTVERSION}
+PKGNAMEPREFIX=	geda-
+DISTNAME=	${PKGNAMEPREFIX}g${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	ssedov@mbsd.msk.ru
-COMMENT=	gEDA electronic schematic capture tools, netlister
+COMMENT=	The gEDA's netlister
 
 LIB_DEPENDS=	geda.25:${PORTSDIR}/cad/libgeda
-RUN_DEPENDS=
${LOCALBASE}/share/gEDA/sym:${PORTSDIR}/cad/geda-symbols
+RUN_DEPENDS=
${LOCALBASE}/share/geda/sym:${PORTSDIR}/cad/geda-symbols
+
+DATADIR=	${PREFIX}/share/geda
+DOCSDIR=	${PREFIX}/share/doc/geda
 
 GNU_CONFIGURE=	yes
 USE_GNOME=	gtk20
+CONFIGURE_ARGS=	--with-docdir=${DOCSDIR}
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
 		LDFLAGS="-L${LOCALBASE}/lib"
 
diff -ruN --exclude=CVS /tmp/ports/cad/gnetlist/files/patch-configure
gnetlist/files/patch-configure
--- /tmp/ports/cad/gnetlist/files/patch-configure	Thu Jan  1
03:00:00 1970
+++ gnetlist/files/patch-configure	Thu Jul 13 15:11:09 2006
@@ -0,0 +1,11 @@
+--- configure.orig	Thu Jul 13 15:10:52 2006
++++ configure	Thu Jul 13 15:11:01 2006
+@@ -5467,7 +5467,7 @@
+ # gEDA/gaf specify setup start
+ #
+ 
+-DATADIR=gEDA
++DATADIR=geda
+ GEDADATADIR=$datadir/$DATADIR
+ 
+ if eval "test x$opt_rcdir = x"; then
diff -ruN --exclude=CVS /tmp/ports/cad/gnetlist/pkg-descr
gnetlist/pkg-descr
--- /tmp/ports/cad/gnetlist/pkg-descr	Sun Mar 10 06:42:23 2002
+++ gnetlist/pkg-descr	Thu Jul 13 19:46:17 2006
@@ -1,3 +1,65 @@
-gnetlist is a tool create netlist from a gschem electronic circuits
schematic.
+gnetlist is the netlist extraction/generation program which is part
+of gEDA (GPL Electronic Design Automation) toolset. This program takes
a
+schematic for its input and outputs a netlist. gnetlist uses scheme to
define
+the output format.
+
+Currently it supports the following backends:
+
+	1) Allegro netlist format (-g allegro)
+
+	2) BAE netlist format (-g bae)
+
+	3) BOM / BOM2 - Bill of Materials (-g bom and -g bom2)
+
+	4) Partslist1,2,3 - More Bill of Materials (-g partslist[1-3])
+
+	5) DRC - Start of a design rule checker (-g drc)
+
+	6) DRC2 - A second design rule checker (-g drc2)
+
+	7) gEDA - native format, mainly used for testing (-g geda)
+
+	8) Gossip netlist format (-g gossip)
+
+	9) PADS netlist format (-g pads)
+
+	10) PCB / PCBboard (-g PCB and -g PCBboard)
+
+	11) gsch2pcb backend (-g gsch2pcb)
+
+	12) ProtelII netlist format (-g protelII)
+
+	13) Spice compatible netlist format (-g spice)
+
+	14) Enhanced spice compatible netlist format (-g spice-sdb)
+
+	15) Switcap netlist format (-g switcap)
+
+	16) Tango netlist format (-g tango)
+
+	17) Verilog code (-g verilog)
+
+	18) VHDL code (-g vhdl)
+
+	19) VIPEC netlist format (-g vipec)
+
+	20) Bartels Autoengineer netlist format (-g bae)
+
+	21) GOSSIP system simulation system netlist format (-g gossip)
+
+	22) MAXASCII netlist format (-g maxascii)
+
+	23) VHDL-AMS netlist format (-g vams)
+
+	24) Futurenet2 netlist format (-g futurenet2 )
+
+	25) SWITCAP switched capacitor simulator netlist format (-g
switcap )
+
+	26) RF Cascade netlist format (-g cascade )
+
+	27) RACAL-REDAC netlist format (-g redac )
+
+	28) PCB actions file for forward annotating pin/pad names from
+	schematic to layout (-g pcbpins)
 
 WWW: http://www.geda.seul.org
diff -ruN --exclude=CVS /tmp/ports/cad/gnetlist/pkg-plist
gnetlist/pkg-plist
--- /tmp/ports/cad/gnetlist/pkg-plist	Tue Jun 27 02:05:42 2006
+++ gnetlist/pkg-plist	Thu Jul 13 15:14:58 2006
@@ -2,53 +2,53 @@
 bin/mk_verilog_syms
 bin/sch2eaglepos.sh
 bin/sw2asc
-share/doc/geda-doc/man/gnetlist.html
-share/doc/geda-doc/readmes/README.bom
-share/doc/geda-doc/readmes/README.eagle
-share/doc/geda-doc/readmes/README.pcb
-share/doc/geda-doc/readmes/README.switcap
-share/doc/geda-doc/readmes/README.sysc
-share/doc/geda-doc/readmes/README.verilog
-share/doc/geda-doc/readmes/README.vhdl
-share/doc/geda-doc/readmes/syntax_architecture.txt
-share/doc/geda-doc/readmes/syntax_entity.txt
-share/doc/geda-doc/readmes/vams_mode.txt
-share/gEDA/scheme/gnet-PCB.scm
-share/gEDA/scheme/gnet-PCBboard.scm
-share/gEDA/scheme/gnet-allegro.scm
-share/gEDA/scheme/gnet-bae.scm
-share/gEDA/scheme/gnet-bom.scm
-share/gEDA/scheme/gnet-bom2.scm
-share/gEDA/scheme/gnet-cascade.scm
-share/gEDA/scheme/gnet-drc.scm
-share/gEDA/scheme/gnet-drc2.scm
-share/gEDA/scheme/gnet-eagle.scm
-share/gEDA/scheme/gnet-futurenet2.scm
-share/gEDA/scheme/gnet-geda.scm
-share/gEDA/scheme/gnet-gossip.scm
-share/gEDA/scheme/gnet-gsch2pcb.scm
-share/gEDA/scheme/gnet-maxascii.scm
-share/gEDA/scheme/gnet-pads.scm
-share/gEDA/scheme/gnet-partslist-common.scm
-share/gEDA/scheme/gnet-partslist1.scm
-share/gEDA/scheme/gnet-partslist2.scm
-share/gEDA/scheme/gnet-partslist3.scm
-share/gEDA/scheme/gnet-pcbpins.scm
-share/gEDA/scheme/gnet-protelII.scm
-share/gEDA/scheme/gnet-redac.scm
-share/gEDA/scheme/gnet-spice-sdb.scm
-share/gEDA/scheme/gnet-spice.scm
-share/gEDA/scheme/gnet-switcap.scm
-share/gEDA/scheme/gnet-systemc.scm
-share/gEDA/scheme/gnet-tango.scm
-share/gEDA/scheme/gnet-vams.scm
-share/gEDA/scheme/gnet-verilog.scm
-share/gEDA/scheme/gnet-vhdl.scm
-share/gEDA/scheme/gnet-vipec.scm
-share/gEDA/scheme/gnetlist.scm
-share/gEDA/system-gnetlistrc
-@dirrmtry share/gEDA/scheme
-@dirrmtry share/gEDA
-@dirrmtry share/doc/geda-doc/readmes
-@dirrmtry share/doc/geda-doc/man
-@dirrmtry share/doc/geda-doc
+%%DOCSDIR%%/man/gnetlist.html
+%%DOCSDIR%%/readmes/README.bom
+%%DOCSDIR%%/readmes/README.eagle
+%%DOCSDIR%%/readmes/README.pcb
+%%DOCSDIR%%/readmes/README.switcap
+%%DOCSDIR%%/readmes/README.sysc
+%%DOCSDIR%%/readmes/README.verilog
+%%DOCSDIR%%/readmes/README.vhdl
+%%DOCSDIR%%/readmes/syntax_architecture.txt
+%%DOCSDIR%%/readmes/syntax_entity.txt
+%%DOCSDIR%%/readmes/vams_mode.txt
+%%DATADIR%%/scheme/gnet-PCB.scm
+%%DATADIR%%/scheme/gnet-PCBboard.scm
+%%DATADIR%%/scheme/gnet-allegro.scm
+%%DATADIR%%/scheme/gnet-bae.scm
+%%DATADIR%%/scheme/gnet-bom.scm
+%%DATADIR%%/scheme/gnet-bom2.scm
+%%DATADIR%%/scheme/gnet-cascade.scm
+%%DATADIR%%/scheme/gnet-drc.scm
+%%DATADIR%%/scheme/gnet-drc2.scm
+%%DATADIR%%/scheme/gnet-eagle.scm
+%%DATADIR%%/scheme/gnet-futurenet2.scm
+%%DATADIR%%/scheme/gnet-geda.scm
+%%DATADIR%%/scheme/gnet-gossip.scm
+%%DATADIR%%/scheme/gnet-gsch2pcb.scm
+%%DATADIR%%/scheme/gnet-maxascii.scm
+%%DATADIR%%/scheme/gnet-pads.scm
+%%DATADIR%%/scheme/gnet-partslist-common.scm
+%%DATADIR%%/scheme/gnet-partslist1.scm
+%%DATADIR%%/scheme/gnet-partslist2.scm
+%%DATADIR%%/scheme/gnet-partslist3.scm
+%%DATADIR%%/scheme/gnet-pcbpins.scm
+%%DATADIR%%/scheme/gnet-protelII.scm
+%%DATADIR%%/scheme/gnet-redac.scm
+%%DATADIR%%/scheme/gnet-spice-sdb.scm
+%%DATADIR%%/scheme/gnet-spice.scm
+%%DATADIR%%/scheme/gnet-switcap.scm
+%%DATADIR%%/scheme/gnet-systemc.scm
+%%DATADIR%%/scheme/gnet-tango.scm
+%%DATADIR%%/scheme/gnet-vams.scm
+%%DATADIR%%/scheme/gnet-verilog.scm
+%%DATADIR%%/scheme/gnet-vhdl.scm
+%%DATADIR%%/scheme/gnet-vipec.scm
+%%DATADIR%%/scheme/gnetlist.scm
+%%DATADIR%%/system-gnetlistrc
+@dirrmtry %%DATADIR%%/scheme
+@dirrmtry %%DATADIR%%
+@dirrmtry %%DOCSDIR%%/readmes
+@dirrmtry %%DOCSDIR%%/man
+@dirrmtry %%DOCSDIR%%
-------------------------------------------------------
Comment 3 Rong-En Fan freebsd_committer 2006-07-16 05:03:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!